with Ada.Text_IO, Globals, Ints, Flts, Strings, Reps;
use Ada.Text_IO, Globals, Ints, Flts, Strings, Reps;
with FHN_Periodic;

pragma Elaborate_All (Ada.Text_IO,Globals,Ints,Flts,Strings,Reps);
pragma Elaborate_All (FHN_Periodic);

procedure FindFix is -- improve numerical data

   Deg_Fourier1: constant Positive := 300;

   package FHN is new FHN_Periodic (Deg_Fourier1 => Deg_Fourier1, Real => Rep);
   use FHN;

begin

   Set_Precisions(256);
   Verbosity := 1;
   Show_Param;
   
   Find_Fix;
   
end FindFix;
