with Ada.Text_IO, Logicals, Globals, Ints, Rationals, Flts, Strings, Messages, Param, Rep_Balls;
use Ada.Text_IO, Logicals, Globals, Ints, Rationals, Flts, Strings, Messages, Param;
with FHN_Homoclinic;

pragma Elaborate_All (FHN_Homoclinic);
pragma Elaborate_All (Ada.Text_IO,Logicals,Globals,Ints,Rationals,Flts,Strings,Messages,Param,Rep_Balls);

procedure Make_Stable is

  Deg_Taylor1: constant Positive := 255;
  SPDeg1:      constant Positive := 2;

  package R_Home renames Rep_Balls;
  use R_Home;
  package FHN is new FHN_Homoclinic (Deg_Taylor1  => Deg_Taylor1, SPDeg1 => SPDeg1, Real => Ball);
  use FHN;
  use Gen_Scalars;

  Y: constant FltVec := R_Homoclinic1.Times(2);
  C: R_Scalar;

begin
  Verbosity := 2;
  Set_Precisions(320);
  Set_Taylor2_Tasks(5);
  Show_Param;
  
  Read(Input_Prefix & "c",C);
  Write_R_Stable(Output_Prefix & "r_stable",Y,C);

end Make_Stable;
