with Ada.Text_IO, Globals, Ints, Flts, Strings, Param, Rep_Balls;
use Ada.Text_IO, Globals, Ints, Flts, Strings, Param;
with FHN_Homoclinic;

pragma Elaborate_All (FHN_Homoclinic);
pragma Elaborate_All (Ada.Text_IO,Globals,Ints,Flts,Strings,Param,Rep_Balls);

procedure Make_Stable0 is

  Deg_Taylor1: constant Positive := 255;
  SPDeg1:      constant Positive := 2;

  package R_Home renames Rep_Balls;
  use R_Home;
  package FHN is new FHN_Homoclinic (Deg_Taylor1  => Deg_Taylor1, SPDeg1 => SPDeg1, Real => Ball);
  use FHN;
  use Gen_Scalars;

  R: constant Radius   := Half**96;
  C: constant R_Scalar := CApprox;

begin
  Verbosity := 2;
  Set_Precisions(320);
  Set_Taylor2_Tasks(5);
  Show_Param;
  
  Write_RT1_Ws0(Output_Prefix & "rt1_ws0",C,R);

end Make_Stable0;
